# -*- coding: utf-8 -*-
"""
app.main.forms
~~~~~~~~~~~~~~

This module defines the main forms.

:copyright: (c) 2017 European Spallation Source ERIC
:license: BSD 2-Clause, see LICENSE for more details.

"""
from flask_wtf import FlaskForm
from wtforms import SelectField, StringField, validators
from .. import utils


class QRCodeForm(FlaskForm):
    kind = SelectField('Kind')
    name = StringField('name', validators=[validators.DataRequired()])

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.kind.choices = utils.get_choices(
            ('Manufacturer', 'Model', 'Location')
        )
